import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { DashboardModule } from '@widget/app/app-portal-view3-db-dashboard/app-portal-view3-db-dashboard.module';

import {AppPortalView3Page} from './app-portal-view3.page';

@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: AppPortalView3Page}]),
  ],
  exports:[RouterModule]
  })
export class AppPortalView3RouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    AppPortalView3RouteModule,
    DashboardModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [AppPortalView3Page],
  entryComponents:[AppPortalView3Page],
  exports:[AppPortalView3Page]
})
export class AppPortalView3Module {}
